using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Quality
{
	[Description("质检模版明细")]
	public class QualityTemplateDetail : FullStateEntity
	{
		/// <summary>
		/// 质检模版ID
		/// </summary>
		[SugarColumn(ColumnDescription = "质检模版ID")]
		public string TemplateId { get; set; }

		/// <summary>
		/// 质检项ID
		/// </summary>
		[SugarColumn(ColumnDescription = "质检项ID")]
		public string ItemId { get; set; }


		[Navigate(NavigateType.OneToOne, nameof(ItemId))]
		public QualityItem QualityItem { get; set; }

		/// <summary>
		/// 
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(TemplateId))]
		public QualityTemplate QualityTemplate { get; set; }
	}
}
